Overview | Package | Class | Tree | Deprecated | Index | Help
| ContactCenters V. 0.9.9.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## umontreal.iro.lecuyer.contactcenters.msk.params
Class TwoIndicesWithTypesParams

    java.lang.Object
      umontreal.iro.lecuyer.contactcenters.msk.params.TwoIndicesParams
          umontreal.iro.lecuyer.contactcenters.msk.params.TwoIndicesWithTypesParams

    public class TwoIndicesWithTypesParams

extends TwoIndicesParams

Contains the parameters for a condition comparing two index quantities possibly for specific call types.

Java class for TwoIndicesWithTypesParams complex type.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="TwoIndicesWithTypesParams">
       <complexContent>
         <extension base="{http://www.iro.umontreal.ca/lecuyer/contactcenters/msk}TwoIndicesParams">
           <attribute name="firstType" type="{http://www.iro.umontreal.ca/lecuyer/ssj}nonNegativeInt" />
           <attribute name="secondType" type="{http://www.iro.umontreal.ca/lecuyer/ssj}nonNegativeInt" />
         </extension>
       </complexContent>
     </complexType>

Field Summary
`protected Integer` | `firstType`
`protected Integer` | `secondType`

Fields inherited from class umontreal.iro.lecuyer.contactcenters.msk.params.TwoIndicesParams
`first, rel, second`

Constructor Summary
`TwoIndicesWithTypesParams()`

Method Summary
`int` | `getFirstType()` Gets the value of the firstType property.
`int` | `getSecondType()` Gets the value of the secondType property.
`boolean` | `isSetFirstType()`
`boolean` | `isSetSecondType()`
`void` | `setFirstType(int value)` Sets the value of the firstType property.
`void` | `setSecondType(int value)` Sets the value of the secondType property.
`void` | `unsetFirstType()`
`void` | `unsetSecondType()`

Methods inherited from class umontreal.iro.lecuyer.contactcenters.msk.params.TwoIndicesParams
`getFirst, getRel, getSecond, isSetFirst, isSetRel, isSetSecond, setFirst, setRel, setSecond`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### firstType

    protected Integer firstType

### secondType

    protected Integer secondType

Constructor Detail

### TwoIndicesWithTypesParams

    public TwoIndicesWithTypesParams()

Method Detail

### getFirstType

    public int getFirstType()

  Gets the value of the firstType property.

  Returns:
    possible object is `Integer`

### setFirstType

    public void setFirstType(int value)

  Sets the value of the firstType property.

  Parameters:
    `value` - allowed object is `Integer`

### isSetFirstType

    public boolean isSetFirstType()

### unsetFirstType

    public void unsetFirstType()

### getSecondType

    public int getSecondType()

  Gets the value of the secondType property.

  Returns:
    possible object is `Integer`

### setSecondType

    public void setSecondType(int value)

  Sets the value of the secondType property.

  Parameters:
    `value` - allowed object is `Integer`

### isSetSecondType

    public boolean isSetSecondType()

### unsetSecondType

    public void unsetSecondType()

Overview | Package | Class | Tree | Deprecated | Index | Help
| ContactCenters V. 0.9.9.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

To submit a bug or ask questions, send an e-mail to Richard Simard.